com.google.gwt.geolocation.client

## Class PositionImpl.CoordinatesImpl

- java.lang.Object
- - com.google.gwt.core.client.JavaScriptObject
  - - com.google.gwt.geolocation.client.PositionImpl.CoordinatesImpl

All Implemented Interfaces:
  Position.Coordinates

Enclosing class:
  PositionImpl

    static final class PositionImpl.CoordinatesImpl
    extends JavaScriptObject
    implements Position.Coordinates

### Constructor Summary

Constructors
`protected` `CoordinatesImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `getAccuracy()` Returns the estimated accuracy reported by the browser, in meters.
`java.lang.Double` `getAltitude()` Returns the altitude reported by the browser, in meters, above the reference ellipsoid, or `null` if the browser did not report an altitude.
`java.lang.Double` `getAltitudeAccuracy()` Returns the estimated accuracy of the altitude reported by the browser, in meters, or `null` if the browser did not report an accuracy.
`java.lang.Double` `getHeading()` Returns the heading, in degrees from due north, reported by the browser, based on previous calls to get the user's position, or `null` if the browser did not report a heading.
`double` `getLatitude()` Returns the decimal latitude reported by the browser.
`double` `getLongitude()` Returns the decimal longitude reported by the browser.
`java.lang.Double` `getSpeed()` Returns the speed, in meters/second, reported by the browser, based on previous calls to get the user's position, or `null` if the browser did not report a speed.

### Methods inherited from class com.google.gwt.core.client.JavaScriptObject

`cast, createArray, createArray, createFunction, createObject, equals, hashCode, toSource, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CoordinatesImpl

    protected CoordinatesImpl()

### Method Detail

#### getAccuracy

    public final double getAccuracy()

Description copied from interface: `Position.Coordinates`
Returns the estimated accuracy reported by the browser, in meters.

Specified by:
  `getAccuracy` in interface `Position.Coordinates`

#### getAltitude

    public final java.lang.Double getAltitude()

Description copied from interface: `Position.Coordinates`
Returns the altitude reported by the browser, in meters, above the reference ellipsoid, or `null` if the browser did not report an altitude.

Specified by:
  `getAltitude` in interface `Position.Coordinates`

#### getAltitudeAccuracy

    public final java.lang.Double getAltitudeAccuracy()

Description copied from interface: `Position.Coordinates`
Returns the estimated accuracy of the altitude reported by the browser, in meters, or `null` if the browser did not report an accuracy.

Specified by:
  `getAltitudeAccuracy` in interface `Position.Coordinates`

#### getHeading

    public final java.lang.Double getHeading()

Description copied from interface: `Position.Coordinates`
Returns the heading, in degrees from due north, reported by the browser, based on previous calls to get the user's position, or `null` if the browser did not report a heading.

Specified by:
  `getHeading` in interface `Position.Coordinates`

#### getLatitude

    public final double getLatitude()

Description copied from interface: `Position.Coordinates`
Returns the decimal latitude reported by the browser.

Specified by:
  `getLatitude` in interface `Position.Coordinates`

#### getLongitude

    public final double getLongitude()

Description copied from interface: `Position.Coordinates`
Returns the decimal longitude reported by the browser.

Specified by:
  `getLongitude` in interface `Position.Coordinates`

#### getSpeed

    public final java.lang.Double getSpeed()

Description copied from interface: `Position.Coordinates`
Returns the speed, in meters/second, reported by the browser, based on previous calls to get the user's position, or `null` if the browser did not report a speed.

Specified by:
  `getSpeed` in interface `Position.Coordinates`